#
# Example slurm.conf file. Please run configurator.html
# (in doc/html) to build a configuration file customized
# for your environment.
#
#
# slurm.conf file generated by configurator.html.
#
# See the slurm.conf man page for more information.
#
ClusterName=mycluster
GresTypes=gpu
SlurmctldHost=c031
#ControlAddr=
#BackupController=
#BackupAddr=
#
SlurmUser=root
#SlurmdUser=root
SlurmctldPort=6817
SlurmdPort=6818
AuthType=auth/munge
#JobCredentialPrivateKey=
#JobCredentialPublicCertificate=
StateSaveLocation=/var/spool/slurm/ctld
SlurmdSpoolDir=/var/spool/slurm/d
SwitchType=switch/none
MpiDefault=none
SlurmctldPidFile=/var/run/slurmctld.pid
SlurmdPidFile=/var/run/slurmd.pid
ProctrackType=proctrack/cgroup
TaskPlugin=task/cgroup
#PluginDir=
#FirstJobId=
ReturnToService=2
MaxDBDMsgs=10000
#MaxJobCount=
#PlugStackConfig=
#PropagatePrioProcess=
#PropagateResourceLimits=
#PropagateResourceLimitsExcept=
#Prolog=
#Epilog=
#SrunProlog=
#SrunEpilog=
#TaskProlog=
#TaskEpilog=
#TrackWCKey=no
#TreeWidth=50
#TmpFS=
#UsePAM=
#
# TIMERS
SlurmctldTimeout=300
SlurmdTimeout=300
InactiveLimit=0
MinJobAge=300
KillWait=30
Waittime=0
#
# SCHEDULING
SchedulerType=sched/backfill
#SchedulerAuth=
#SchedulerPort=
#SchedulerRootFilter=
SelectType=select/cons_res
SelectTypeParameters=CR_CPU
#PriorityType=priority/multifactor
#PriorityDecayHalfLife=14-0
#PriorityUsageResetPeriod=14-0
#PriorityWeightFairshare=100000
#PriorityWeightAge=1000
#PriorityWeightPartition=10000
#PriorityWeightJobSize=1000
#PriorityMaxAge=1-0
#
# LOGGING
SlurmctldDebug=9
SlurmctldLogFile=/var/log/slurmctld.log
SlurmdDebug=9
SlurmdLogFile=/var/log/slurmd.log
JobCompType=jobcomp/none
#JobCompLoc=
#
# ACCOUNTING
JobAcctGatherType=jobacct_gather/linux
JobAcctGatherFrequency=30
#
#AccountingStorageType=accounting_storage/filetxt
#AccountingStorageHost=gpu1
#AccountingStorageLoc=/var/lib/slurmacct
#AccountingStoragePass=
#AccountingStorageUser=
#
# COMPUTE NODES
#DefMemPerCPU=100
EnforcePartLimits=ALL
NodeName=c031 Gres=gpu:4 CPUs=28 RealMemory=200000 State=UNKNOWN
NodeName=c032 Gres=gpu:4 CPUs=28 RealMemory=200000 State=UNKNOWN
PartitionName=compute Nodes=c0[31-32] Default=YES  MaxTime=INFINITE State=UP
PartitionName=compute1 Nodes=c0[31-32] Default=YES  MaxTime=INFINITE State=UP
